Desktop okruženja i menadžeri prozora (WM)

Teme koje se tiču podešavanja i zanimljivosti u vezi desktop okruženja

Moderators: Sinisa, Urednik


Administrator
Administrator
offline
User avatar

Posts: 4108
Joined: 04 Feb 2011, 20:32
Location: Beograd
Contact:

Post Napisano: 09 Dec 2012, 11:43


Dodata je napomena o zastarelosti teksta. Potrebno ga je ažurirati. Bićete obavešteni kada se to desi.

Ono što u ovom trenutku mogu da dodam je da u ovom trenutku ne postoje Gnome 3 (GSB je stao na 3.2 za Slack 13.37), Cinammon (nije mi poznato da je postojao projekat pakovanja) ili MATE paketi za Slackware 14 (Salix je stao na 1.2). Da imamo više korisnika ovih okruženja, možda bi se dao pokrenuti i projekat pakovanja ovih okruženja (ili ažuriranja već postojećih projekata na Gnome 3.6, odnosno MATE 1.4), ali većina aktivnih korisnika foruma koriste Xfce ili KDE tako da nije vredno truda i vremena.

Što se tiče Cinnamona, lično sam se igrao s time ranije (na 13.37), ali nikad nisam završio stvar (nedovoljno interesovanje). Ali za one sa avanturističkim duhom, samo da potvrdim da ga je moguće instalirati iz sourcea. Čak sam video jedan screenshot Cinnamona na Slacku negde na webu. Što se mene tiče, ne koristim ova okruženja i moj pokušaj je bio više iz radoznalosti, nego iz neke praktične potrebe. Ovo je veliki posao i isplatio bi se samo ukoliko bi bio veći broj zainteresovanih.

Što se tiče Awesome WM, instalacija nije toliko komplikovana, ali zahteva nekoliko dodatnih paketa i rekompilaciju cairo paketa sa uključenim xcb (što može izazvati određene probleme sa drugim aplikacijama, pa još uvek nije preporučeno). S druge strane, legacy verzija 2.x radi bez problema (ako su zadovoljene sve zavisnosti).

I3 WM radi bez problema ako se kompajlira bez podrške za cairo-xcb.

Nisu mi poznati problemi sa drugim okruženjima.

Eto samo kratak pregled umesto ažuriranja teme. Valjda će poslužiti.

Edit

Sad sam se setio za LxDE. Ponce je imao pakete za Slackware Current. To bi još moglo da radi na 14.0. Jedino je potrebno probrati pakete, pošto je nešto od zavisnosti već dostupno u 14.0. Elem, SlackBuild skripte su najverovatnije dostupne iz SBo, tako da se može izgraditi iz izvornog koda.



Administrator
Administrator
offline
User avatar

Posts: 4108
Joined: 04 Feb 2011, 20:32
Location: Beograd
Contact:

Post Napisano: 09 Dec 2012, 11:50


Elem, ako ima zainteresovanih za nešto što trenutno nije dostupno vičite. Što se više ljudi javi, veća je mogućnost da to i dobiju. Veće interesovanje će značiti i veću motivaciju da se organizuje neki projekat u okviru zajednice.



Administrator
Administrator
offline
User avatar

Posts: 4108
Joined: 04 Feb 2011, 20:32
Location: Beograd
Contact:

Post Napisano: 11 Dec 2012, 15:42


Malo sam bacio pogled na Gnome 3.6. Zahteva Gtk+ 3.6 i Glib 2.34. Uz Slack 14.0 dolaze Gtk+ 3.4 i Glib 2.32.4. S obzirom da Gtk+ 3.4 i 3.6 nisu (u potpunosti ili delimično?) kompatibilni, zamena Slack verzije Gtk+ 3.x novijom bi mogla uticati na sve aplikacije koje koriste Gtk+ 3.x. Mada postoje nekompatibilnosti i među novijim verzijama Glib. Gnome 3.x je trenutno jedan veliki nered čiji se API-ji menjaju svako malo. Bacite pogled ovde za više detalja:
http://igurublog.wordpress.com/2012/11/ ... in-threes/" onclick="window.open(this.href);return false;
https://bugzilla.gnome.org/show_bug.cgi?id=687752" onclick="window.open(this.href);return false;
https://mail.gnome.org/archives/gtk-dev ... 00022.html" onclick="window.open(this.href);return false;

Elem, to stvar ne čini nemogućom, samo komplikovanijom. Ne bi me čudilo da GSB ekipa čeka da se Gnome 3.x stabilizuje. Sadašnja situacija je blagi užas.

Eksperimentalne pakete za Gnome 3.4 i Cinnamon je pre izvesnog vremena napravio Ralex (Salix forum) za Salix. Međutim ovi paketi zamenjuju neke od paketa iz zvaničnih repozitorijuma tako da ih Salix ekipa nije prihvatila. Ralex je u međuvremenu obrisao ove pakete.

Btw, za više informacija o dostupnosti MATE-a pogledajte ovu temu. Ukratko, glavni razlog za nedostupnost verzije 1.4 je čekanje na MATE 1.6. MATE 1.6 će zahtevati dosta manji broj paketa i biće lakši za održavanje.

Što se tiče LXDE-a, pogledajte sledeću temu za jednostavno uputstvo za instalaciju iz SlackBuilds.org.



Administrator
Administrator
offline
User avatar

Posts: 4108
Joined: 04 Feb 2011, 20:32
Location: Beograd
Contact:

Post Napisano: 25 Mar 2013, 17:49


Od skoro je u current stigao cairo sa xcb backendom. Ovo znači da je sada moguće instalirati Awesome WM bez zamene/rekompajliranja paketa koji dolaze uz Slack. Ovo takođe znači da je sada moguće kompajlirati i3 sa podrškom za xcb.

Tilers, rejoice. :)


Post Reply

Who is online

Users browsing this forum: No registered users and 4 guests